//
// Copyright (c) 2004-2013 StreamBase Systems, Inc. All rights reserved.
//

package com.streambase.sb.contrib.liveview.test;

import java.beans.IntrospectionException;

import com.streambase.sb.operator.parameter.SBPropertyDescriptor;
import com.streambase.sb.operator.parameter.SBSimpleBeanInfo;

/**
 * A BeanInfo class controls what properties are exposed, add
 * metadata about properties (such as which properties are optional), and access
 * special types of properties that can't be automatically derived via reflection.
 * If a BeanInfo class is present, only the properties explicitly declared in
 * this class will be exposed by StreamBase.
 */
public class LiveViewQueryBeanInfo extends SBSimpleBeanInfo {

	/*
	 * The order of properties below determines the order they are displayed within
	 * the StreamBase Studio property view.
	 */
	public SBPropertyDescriptor[] getPropertyDescriptorsChecked()
			throws IntrospectionException {
		SBPropertyDescriptor[] p = {
				new SBPropertyDescriptor("lvURI", LiveViewQueryTest.class)
						.displayName("LiveView Server URI").description("").optional(),
		};
		return p;
	}

}
